package com.kingdee.eas.custom.integration.feishu;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractFeishuApprovalInstanceInfo extends com.kingdee.eas.framework.CoreBillBaseInfo implements Serializable 
{
    public AbstractFeishuApprovalInstanceInfo()
    {
        this("id");
    }
    protected AbstractFeishuApprovalInstanceInfo(String pkField)
    {
        super(pkField);
        put("ccList", new FeishuApprovalInstanceCcListCollection());
        put("taskList", new FeishuApprovalInstanceTaskListCollection());
        put("forms", new FeishuApprovalInstanceFormCollection());
    }
    /**
     * Object:飞书审批实例's 是否生成凭证property 
     */
    public boolean isFivouchered()
    {
        return getBoolean("Fivouchered");
    }
    public void setFivouchered(boolean item)
    {
        setBoolean("Fivouchered", item);
    }
    /**
     * Object: 飞书审批实例 's 抄送列表 property 
     */
    public FeishuApprovalInstanceCcListCollection getCcList()
    {
        return (FeishuApprovalInstanceCcListCollection)get("ccList");
    }
    /**
     * Object: 飞书审批实例 's 任务列表 property 
     */
    public FeishuApprovalInstanceTaskListCollection getTaskList()
    {
        return (FeishuApprovalInstanceTaskListCollection)get("taskList");
    }
    /**
     * Object: 飞书审批实例 's 表单数据 property 
     */
    public FeishuApprovalInstanceFormCollection getForms()
    {
        return (FeishuApprovalInstanceFormCollection)get("forms");
    }
    /**
     * Object: 飞书审批实例 's 飞书审批定义 property 
     */
    public FeishuApprovalsInfo getApproval()
    {
        return (FeishuApprovalsInfo)get("approval");
    }
    public void setApproval(FeishuApprovalsInfo item)
    {
        put("approval", item);
    }
    /**
     * Object:飞书审批实例's 审批实例状态property 
     */
    public com.kingdee.eas.custom.integration.feishu.bizEnum.InstanceStatusEnum getStatus()
    {
        return com.kingdee.eas.custom.integration.feishu.bizEnum.InstanceStatusEnum.getEnum(getString("status"));
    }
    public void setStatus(com.kingdee.eas.custom.integration.feishu.bizEnum.InstanceStatusEnum item)
    {
		if (item != null) {
        setString("status", item.getValue());
		}
    }
    /**
     * Object:飞书审批实例's 审批实例扩展参数property 
     */
    public String getExtra()
    {
        return getString("extra");
    }
    public void setExtra(String item)
    {
        setString("extra", item);
    }
    /**
     * Object:飞书审批实例's 审批实例唯一标识property 
     */
    public String getInstanceId()
    {
        return getString("instanceId");
    }
    public void setInstanceId(String item)
    {
        setString("instanceId", item);
    }
    /**
     * Object:飞书审批实例's PC 端的三方审批实例跳转链接。property 
     */
    public String getPcLink()
    {
        return getString("pcLink");
    }
    public void setPcLink(String item)
    {
        setString("pcLink", item);
    }
    /**
     * Object:飞书审批实例's 移动端的三方审批实例跳转链接。property 
     */
    public String getMobileLink()
    {
        return getString("mobileLink");
    }
    public void setMobileLink(String item)
    {
        setString("mobileLink", item);
    }
    /**
     * Object: 飞书审批实例 's 审批展示名称 property 
     */
    public FeishuI18nResourcesInfo getTitle()
    {
        return (FeishuI18nResourcesInfo)get("title");
    }
    public void setTitle(FeishuI18nResourcesInfo item)
    {
        put("title", item);
    }
    /**
     * Object: 飞书审批实例 's 审批发起人 property 
     */
    public com.kingdee.eas.base.permission.UserInfo getUser()
    {
        return (com.kingdee.eas.base.permission.UserInfo)get("user");
    }
    public void setUser(com.kingdee.eas.base.permission.UserInfo item)
    {
        put("user", item);
    }
    /**
     * Object: 飞书审批实例 's 发起人的部门 property 
     */
    public com.kingdee.eas.basedata.org.AdminOrgUnitInfo getDepartment()
    {
        return (com.kingdee.eas.basedata.org.AdminOrgUnitInfo)get("department");
    }
    public void setDepartment(com.kingdee.eas.basedata.org.AdminOrgUnitInfo item)
    {
        put("department", item);
    }
    /**
     * Object:飞书审批实例's 审批发起时间property 
     */
    public java.sql.Time getStartTime()
    {
        return getTime("startTime");
    }
    public void setStartTime(java.sql.Time item)
    {
        setTime("startTime", item);
    }
    /**
     * Object:飞书审批实例's 审批实例结束时间property 
     */
    public java.sql.Time getEndTime()
    {
        return getTime("endTime");
    }
    public void setEndTime(java.sql.Time item)
    {
        setTime("endTime", item);
    }
    /**
     * Object:飞书审批实例's 审批实例最近更新时间property 
     */
    public java.sql.Time getUpdateTime()
    {
        return getTime("updateTime");
    }
    public void setUpdateTime(java.sql.Time item)
    {
        setTime("updateTime", item);
    }
    /**
     * Object:飞书审批实例's 列表页打开审批实例的方式property 
     */
    public com.kingdee.eas.custom.integration.feishu.bizEnum.DisplayMethodEnum getDisplayMethod()
    {
        return com.kingdee.eas.custom.integration.feishu.bizEnum.DisplayMethodEnum.getEnum(getString("displayMethod"));
    }
    public void setDisplayMethod(com.kingdee.eas.custom.integration.feishu.bizEnum.DisplayMethodEnum item)
    {
		if (item != null) {
        setString("displayMethod", item.getValue());
		}
    }
    /**
     * Object:飞书审批实例's 更新方式property 
     */
    public com.kingdee.eas.custom.integration.feishu.bizEnum.InstanceUpdateModeEnum getUpdateMode()
    {
        return com.kingdee.eas.custom.integration.feishu.bizEnum.InstanceUpdateModeEnum.getEnum(getString("updateMode"));
    }
    public void setUpdateMode(com.kingdee.eas.custom.integration.feishu.bizEnum.InstanceUpdateModeEnum item)
    {
		if (item != null) {
        setString("updateMode", item.getValue());
		}
    }
    /**
     * Object:飞书审批实例's 同步状态property 
     */
    public com.kingdee.eas.custom.integration.feishu.bizEnum.SyncStatusEnum getSyncStatus()
    {
        return com.kingdee.eas.custom.integration.feishu.bizEnum.SyncStatusEnum.getEnum(getString("syncStatus"));
    }
    public void setSyncStatus(com.kingdee.eas.custom.integration.feishu.bizEnum.SyncStatusEnum item)
    {
		if (item != null) {
        setString("syncStatus", item.getValue());
		}
    }
    /**
     * Object:飞书审批实例's 同步结果property 
     */
    public String getSyncResult()
    {
        return getString("syncResult");
    }
    public void setSyncResult(String item)
    {
        setString("syncResult", item);
    }
    /**
     * Object: 飞书审批实例 's HR组织 property 
     */
    public com.kingdee.eas.basedata.org.HROrgUnitInfo getHrOrgUnit()
    {
        return (com.kingdee.eas.basedata.org.HROrgUnitInfo)get("hrOrgUnit");
    }
    public void setHrOrgUnit(com.kingdee.eas.basedata.org.HROrgUnitInfo item)
    {
        put("hrOrgUnit", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("432C4D01");
    }
}